MembersMember (visible to me) + their groups

Member (visible to me) + their groups

Only if the member is VISIBLE to me (visibility grant). groups are the Vault's PolicyGroups.

curl -X GET "https://policy-engine-rest.ezig.workers.dev/api/v1/vaults/demo_vault/members/example_string" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN"
{
  "id": "example_string",
  "name": "John Doe",
  "username": "John Doe",
  "image": "example_string",
  "color": "example_string",
  "emoji": "example_string",
  "groups": [
    {
      "id": "example_string",
      "name": "John Doe"
    }
  ]
}
GET
/api/v1/vaults/{code}/members/{id}
GET
Base URLstring

Target server for requests. Edit to use your own host.

Bearer Token
Bearer Tokenstring
Required

Session token. Mobile/services. The web uses a cookie.

Session token. Mobile/services. The web uses a cookie.
API Key (cookie: session_token)
session_tokenstring
Required

API key (sent in cookie)

Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. Session token. Mobile/services. The web uses a cookie.

path
parameterstring
Required

API Key for authentication. Provide your API key in the cookie.

Path Parameters

codestring
Required

Unique Vault code (slug)

Example:
demo_vault

Responses

idstring
Required
namestring
Required
usernamestring
Required
imagestring
Required
colorstring
Required
emojistring
Required
groupsarray
Required